#ifndef MENUBAR_H
#define MENUBAR_H
#include <QMainWindow>


class MenuBar:public QWidget{
    Q_OBJECT
public:
    MenuBar(QWidget* parent);
    ~MenuBar();
public    slots:
    void    emit_show_real_window_signal();
    void    emit_show_thermal_calib_signal();
public:
    QMenu *ApplicationMenu;
    QAction *newAction,*openAction,*closeAction;

    QMenu *testMenu;
    QAction *arrayAction, *rtAction, *voltAction;

    QMenu *viewMenu;
    QAction *realwinAction, *realdataAction, *imageAction;

    QMenu *plotMenu;
    QAction *dynamicAction,*staticAction,*renderAction;

    QMenu *markerMenu;
    QAction *thermalAction,*mark1Action,*mark2Action;

    QMenu *showMenu;
    QAction *doubAction, *quadAction, *halfAction;

    QMenu *helpMenu;
    QAction *aboutAction, *aboutEMGAction;
signals:
    void show_real_window();
    void show_thermal_window();

};



#endif // MENUBAR_H
